Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui
Class StandaloneSoapUICore.SoapUITheme

    java.lang.Object
      javax.swing.plaf.metal.MetalTheme
          javax.swing.plaf.metal.DefaultMetalTheme
              com.jgoodies.looks.plastic.PlasticTheme
                  com.jgoodies.looks.plastic.theme.SkyBluer
                      com.eviware.soapui.StandaloneSoapUICore.SoapUITheme

Enclosing class:
  StandaloneSoapUICore

    public static class StandaloneSoapUICore.SoapUITheme

extends com.jgoodies.looks.plastic.theme.SkyBluer

Adapted theme for soapUI Look and Feel

Author:
  ole.matzura

Field Summary
`static java.awt.Color` | `BACKGROUND_COLOR`

Fields inherited from class com.jgoodies.looks.plastic.PlasticTheme
`BLACK, BRIGHTEN_START, BRIGHTEN_STOP, DARKEN_START, DARKEN_STOP, LT_BRIGHTEN_STOP, LT_DARKEN_STOP, WHITE`

Constructor Summary
`StandaloneSoapUICore.SoapUITheme()`

Method Summary
`javax.swing.plaf.ColorUIResource` | `getControl()`
`javax.swing.plaf.ColorUIResource` | `getMenuBackground()`
`javax.swing.plaf.ColorUIResource` | `getMenuItemBackground()`

Methods inherited from class com.jgoodies.looks.plastic.theme.SkyBluer
`addCustomEntriesToTable, getFocusColor, getMenuItemSelectedBackground, getMenuItemSelectedForeground, getMenuSelectedBackground, getName, getPrimary1, getPrimary2, getPrimary3, getSecondary1, getSecondary2, getSecondary3`

Methods inherited from class com.jgoodies.looks.plastic.PlasticTheme
`equals, getBlack, getControlTextFont, getFontSet, getMenuForeground, getMenuTextFont, getSimpleInternalFrameBackground, getSimpleInternalFrameForeground, getSubTextFont, getSystemTextColor, getSystemTextFont, getTitleTextColor, getTitleTextFont, getToggleButtonCheckColor, getUserTextFont, getWhite, getWindowTitleFont, hashCode`

Methods inherited from class javax.swing.plaf.metal.MetalTheme
`getAcceleratorForeground, getAcceleratorSelectedForeground, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getControlTextColor, getDesktopColor, getHighlightedTextColor, getInactiveControlTextColor, getInactiveSystemTextColor, getMenuDisabledForeground, getMenuSelectedForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getPrimaryControlShadow, getSeparatorBackground, getSeparatorForeground, getTextHighlightColor, getUserTextColor, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BACKGROUND_COLOR

    public static final java.awt.Color BACKGROUND_COLOR

Constructor Detail

### StandaloneSoapUICore.SoapUITheme

    public StandaloneSoapUICore.SoapUITheme()

Method Detail

### getControl

    public javax.swing.plaf.ColorUIResource getControl()

  Overrides:
    `getControl` in class `javax.swing.plaf.metal.MetalTheme`

### getMenuBackground

    public javax.swing.plaf.ColorUIResource getMenuBackground()

  Overrides:
    `getMenuBackground` in class `javax.swing.plaf.metal.MetalTheme`

### getMenuItemBackground

    public javax.swing.plaf.ColorUIResource getMenuItemBackground()

  Overrides:
    `getMenuItemBackground` in class `com.jgoodies.looks.plastic.PlasticTheme`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.